Skip to main content
`Ctrl`+`K`

# PetscConvEstRateView

Displays the convergence rate obtained from `PetscConvEstGetConvRate()` using a `PetscViewer`

## Synopsis

    #include "petscconvest.h"
    PetscErrorCode PetscConvEstRateView(PetscConvEst ce, const PetscReal alpha[], PetscViewer viewer)

Collective

## Input Parameters

- ce - iterative context obtained from `SNESCreate()`

- alpha - the convergence rate for each field

- viewer - the viewer to display the reason

## Options Database Key

- -snes_convergence_estimate - print the convergence rate

## See Also

`PetscConvEst`, `PetscConvEstGetConvRate()`

## Level

developer

## Location

src/snes/utils/convest.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages